List meetings
curl --request GET \
--url https://api.vegaminds.com/v1/meetings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vegaminds.com/v1/meetings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vegaminds.com/v1/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "9d9c0b33-7e53-4ef6-a730-f034d38cb137",
"is_external": false,
"topic": "Ellis annual review",
"start_time": "2026-11-12T18:00:00Z",
"duration_minutes": 60,
"format": "video_call",
"meeting_type": {
"id": "b8a8df6a-1fa5-490b-9856-7b6c0bd47634",
"name": "Annual review"
},
"reviewed": true,
"has_note": true,
"has_preparation": true,
"contacts": [
{
"id": "1f128fef-f499-4c88-a53e-75f235ccb65a",
"name": "Jordan Ellis"
}
],
"households": [],
"created_on": "2026-11-04T15:20:03Z",
"updated_on": "2026-11-12T19:05:00Z"
}
],
"page": 1,
"limit": 50,
"has_more": false
}{
"error": {
"code": "invalid_request",
"message": "The request body is invalid.",
"fields": {
"email_addresses[0].address": "Must be an email address."
}
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "invalid_token",
"message": "The access token is invalid, expired or revoked."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "insufficient_scope",
"message": "This request needs the contacts:write scope, which the user did not grant. Connect the user again, asking for it."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "rate_limited",
"message": "Too many requests. Wait the number of seconds in the Retry-After header, then try again."
}
}{
"error": {
"code": "internal_error",
"message": "Something went wrong on our side. Try again later, and contact Vega support with the request id if it keeps happening."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}Meetings
List meetings
The meetings the connected user can see. List rows omit artifact bodies, email drafts, transcripts and recording URLs. There is no updated_after filter: artifact edits do not reliably advance the meeting timestamp. Re-read relevant meetings to refresh their artifacts.
GET
/
meetings
List meetings
curl --request GET \
--url https://api.vegaminds.com/v1/meetings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vegaminds.com/v1/meetings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vegaminds.com/v1/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "9d9c0b33-7e53-4ef6-a730-f034d38cb137",
"is_external": false,
"topic": "Ellis annual review",
"start_time": "2026-11-12T18:00:00Z",
"duration_minutes": 60,
"format": "video_call",
"meeting_type": {
"id": "b8a8df6a-1fa5-490b-9856-7b6c0bd47634",
"name": "Annual review"
},
"reviewed": true,
"has_note": true,
"has_preparation": true,
"contacts": [
{
"id": "1f128fef-f499-4c88-a53e-75f235ccb65a",
"name": "Jordan Ellis"
}
],
"households": [],
"created_on": "2026-11-04T15:20:03Z",
"updated_on": "2026-11-12T19:05:00Z"
}
],
"page": 1,
"limit": 50,
"has_more": false
}{
"error": {
"code": "invalid_request",
"message": "The request body is invalid.",
"fields": {
"email_addresses[0].address": "Must be an email address."
}
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "invalid_token",
"message": "The access token is invalid, expired or revoked."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "insufficient_scope",
"message": "This request needs the contacts:write scope, which the user did not grant. Connect the user again, asking for it."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}{
"error": {
"code": "rate_limited",
"message": "Too many requests. Wait the number of seconds in the Retry-After header, then try again."
}
}{
"error": {
"code": "internal_error",
"message": "Something went wrong on our side. Try again later, and contact Vega support with the request id if it keeps happening."
},
"request_id": "3f6c1e9a-2b7d-4c58-9e41-8a0d5b7f2c16"
}
